import request from '@/utils/request'

// 查询违规项扣分设置列表
export function listViolationScoreSite(query) {
  return request({
    url: '/laboratory/violationScoreSite/list',
    method: 'get',
    params: query
  })
}

// 查询违规项扣分设置详细
export function getViolationScoreSite(id) {
  return request({
    url: '/laboratory/violationScoreSite/' + id,
    method: 'get'
  })
}

// 新增违规项扣分设置
export function addViolationScoreSite(data) {
  return request({
    url: '/laboratory/violationScoreSite',
    method: 'post',
    data: data
  })
}

// 修改违规项扣分设置
export function updateViolationScoreSite(data) {
  return request({
    url: '/laboratory/violationScoreSite',
    method: 'put',
    data: data
  })
}

// 删除违规项扣分设置
export function delViolationScoreSite(id) {
  return request({
    url: '/laboratory/violationScoreSite/' + id,
    method: 'delete'
  })
}
